PatBateman
Posts: 2
Joined: Thu Jun 07, 2018 5:15 am

Video game emulator works on Raspberry Pi 3, but not model B+, Help!!!

Thu Jun 07, 2018 5:36 am

I have an SD card loaded with video games retro pie attract mode remastered. Everything works fine on my (old) rasp 3. However, I just bought the new B+ model and it isn’t working. When I plug in the B+, there is only the lightening bolt icon in the top right corner and nothing happens. I’m using the same 5V, 2.5amp power supply, so not sure why power would be an issue. I’m guessing there is some sort of small change I need to make in the config text or something. Please Help!!! :)

jamesh
Raspberry Pi Engineer & Forum Moderator
Raspberry Pi Engineer & Forum Moderator
Posts: 19820
Joined: Sat Jul 30, 2011 7:41 pm

Re: Video game emulator works on Raspberry Pi 3, but not model B+, Help!!!

Thu Jun 07, 2018 7:23 am

Your SD card has out of date firmware that does not support the 3B+. Check with retro Pi on how to upgrade.
Principal Software Engineer at Raspberry Pi (Trading) Ltd.
Please direct all questions to the forum, I do not do support via PM.

PatBateman
Posts: 2
Joined: Thu Jun 07, 2018 5:15 am

Re: Video game emulator works on Raspberry Pi 3, but not model B+, Help!!!

Sat Jun 16, 2018 5:38 am

Thanks for the advice, but still not sure on how to proceed. I went on my Pi 3 and updated the retro Pi to the latest version. Then took that SD card and placed it in the B+ model. I am still getting the lighting bolt symbol. Still stuck :(

fruitoftheloom
Posts: 16731
Joined: Tue Mar 25, 2014 12:40 pm

Re: Video game emulator works on Raspberry Pi 3, but not model B+, Help!!!

Sat Jun 16, 2018 5:47 am

PatBateman wrote:
Sat Jun 16, 2018 5:38 am
Thanks for the advice, but still not sure on how to proceed. I went on my Pi 3 and updated the retro Pi to the latest version. Then took that SD card and placed it in the B+ model. I am still getting the lighting bolt symbol. Still stuck :(

If you have an older version of Retropie prior to v4.4 it will be based of Raspbian Jessie Lite which requires additional steps to update prior to using the SD Card in a 3B+

Code: Select all

sudo apt-get update
sudo apt-get dist-upgrade
sudo rpi-update
sudo reboot

You should make a full backup prior to undertaking above, alternatively start with the latest Retropie v4.4 which is based of Raspbian Stretch Lite which supports the 3B+:

https://retropie.org.uk/download/
Adieu

Return to “Gaming”

Who is online

Users browsing this forum: No registered users and 9 guests